#/bin/bash

# Arguments
# $1=/path/to/*.class
# $2=/path/to/soar
# $3-9 =input parameters

EXPECTED_ARGS=9

if [ $# -ne $EXPECTED_ARGS ]
then
echo "Usage: `basename $0` </path/to/output/dir> </path/to/soar> <year> <month> <day> <time of day> <hunger> <work> <trial #>"
exit 0
fi

export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$2/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$2/bin

java -cp $1:$2/bin/java/sml.jar edu.umich.soar.hpp.HPPTGen src/scripter.soar $3 $4 $5 $6 $7 $8 $9
